## org.eclipse.jst.jsf.context
Class AbstractDocumentContext

    java.lang.Object
      org.eclipse.jst.jsf.context.AbstractDocumentContext

All Implemented Interfaces:
  IDocumentContext, IModelContext

Direct Known Subclasses:
  AbstractStructuredDocumentContext

    public abstract class AbstractDocumentContext

extends java.lang.Object
implements IDocumentContext

A convenience super-type for all context instances that implement IDocumentContext or one of its sub-types.

Constructor Summary
`AbstractDocumentContext()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapterClass)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDocumentContext

    public AbstractDocumentContext()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapterClass)

  See Also:
    `org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)`